From: Ben Hutchings <ben.hutchings@codethink.co.uk>
Date: Fri, 05 Jun 2020 18:02:11 +0100
Subject: cmdtest: yarn: Fix assumption of tty

The 'assuming-failure' test case fails when run without a tty, because
the expected status message is not printed to stdout.  Change the test
case to disable quiet operation and look for the final message instead.
This works both with and without a tty.

--- a/yarn.tests/assuming-failure.script
+++ b/yarn.tests/assuming-failure.script
@@ -17,7 +17,7 @@ cat <<EOF > "$DATADIR/test.yarn"
     touch "$DATADIR/cleanup-flag"
 EOF
 
-./run-yarn "$DATADIR/test.yarn"
+./run-yarn --no-quiet "$DATADIR/test.yarn" | tail -1
 [ ! -e "$DATADIR/then-flag" ]
 [ ! -e "$DATADIR/cleanup-flag" ]
 
diff --git a/yarn.tests/assuming-failure.stdout b/yarn.tests/assuming-failure.stdout
index d7494ec3f780..532b956a16bc 100644
--- a/yarn.tests/assuming-failure.stdout
+++ b/yarn.tests/assuming-failure.stdout
@@ -1 +1 @@
-Skipping "foo" because "ASSUMING something" failed
+Scenarios SKIPPED due to ASSUMING step failing: 1
